| Extracted from Pike v7.8 release 866 at 2018-02-09.

[Top]
CompilerEnvironment
CompilerEnvironment()->PikeCompiler

# Method CompilerEnvironment()->PikeCompiler()->push_type_attribute()

Method push_type_attribute

  `int(0..1) push_type_attribute(string attribute, type(mixed) a, type(mixed) b)`

Description

  Type attribute handler.

  Called during type checking when `a <= b` and b had the type attribute attribute before the comparison.

  The default implementation implements the "deprecated" attribute.

Returns

  Returns `1` if the type check should be allowed (ie `a <= __attribute__(attribute, b)`), and `0` (zero) otherwise.

See also

  pop_type_attribute()